## pipewire 1.5.84

=== debian/changelog ===
pipewire (1.5.84-1ubuntu2) resolute; urgency=medium

  * Build without onnxruntime on i386
  * Cherry pick upstream changes to fix a bluetooth segfault
    (lp: #2137545)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Jan 2026 11:26:01 +0100

pipewire (1.5.84-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Enable pipewire jack emulation
    - Create new binary packages for pipewire and spa modules
      These ones have universe dependencies
    - Enable AAC codec
      - libfdk-aac is in universe for now (MIR #1977614) but it's a separate
       .so which can be included in the new libspa-0.2-modules-extra
       binary (lp #1991936)
    - Add apport package hook
  * New change
    - Set -DDbluez5-plc-spandsp to disabled for now
      The spandsp package is in universe and the option doesn't generate a
      separate binary which can be moved to extra.

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 13 Jan 2026 21:35:10 +0100

pipewire (1.5.84-1) experimental; urgency=medium

  [ Dylan Aïssi ]
  * New upstream release (1.6 release candidate 4)
  * Remove Fix_services.patch, this was required to avoid conflict
    with pipewire-media-session due to a bug in systemd. systemd is fixed
    since v253 and pipewire-media-session is no longer available since Trixie,
    so no reason to keep it.
  * d/rules: increase test timeout for alpha.

  [ Charles ]
  * d/tests: Update manual-tests.md for modern releases.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 01 Dec 2025 15:56:30 +0100

pipewire (1.4.9-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Create new binary packages for a subset of pipewire and spa modules
      - Specifically the ones which have universe dependencies
    - Enable AAC codec
      - libfdk-aac is in universe for now (MIR #1977614) but it's a separate
        .so which can be included in the new libspa-0.2-modules-extra
        binary (LP: #1991936)
    - Add apport package hook
    - Enable pipewire jack emulation by default

 -- Charles <charles05@canonical.com>  Thu, 06 Nov 2025 09:29:26 +0100

=== debian/control ===
Source: pipewire
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
Uploaders: Jeremy Bicha <jbicha@debian.org>,
           Dylan Aïssi <daissi@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               doxygen <!nodoc>,
               dpkg-dev (>= 1.22.5),
               graphviz <!nodoc>,
               libfdk-aac-dev,
               libapparmor-dev [linux-any],
               libasound2-dev (>= 1.2.6),
               libavahi-client-dev,
               libbluetooth-dev [linux-any],
               libcamera-dev (>= 0.2.0) [!m68k !hurd-any],
               libcanberra-dev,
               libdbus-1-dev,
               libebur128-dev,
               libffado-dev,
               libfftw3-dev,
               libfreeaptx-dev,
               libglib2.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libjack-jackd2-dev,
               liblc3-dev,
               libldacbt-abr-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
               libldacbt-enc-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
               liblilv-dev,
               libmysofa-dev,
               libncurses-dev,
               libonnxruntime-dev [!alpha !hurd-any !m68k !powerpc !ppc64 !sh4 !x32 !i386],
               libopus-dev,
               libpulse-dev,
               libreadline-dev,
               libroc-dev (>= 0.4.0),
               libsbc-dev,
               libsdl2-dev <!noinsttest>,
               libsnapd-glib-dev [amd64 arm64 armhf i386 powerpc ppc64el riscv64 s390x],
               libsndfile1-dev,
               libspandsp-dev,
               libssl-dev,
               libsystemd-dev [linux-any],
               libudev-dev [linux-any],
               libusb-1.0-0-dev,
               libv4l-dev,
               libwebrtc-audio-processing-dev,
               libxfixes-dev (>= 1:6.0.0),
               meson (>= 0.61.1),
               modemmanager-dev,
               pkgconf,
               python3-docutils,
               systemd-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/utopia-team/pipewire
Vcs-Git: https://salsa.debian.org/utopia-team/pipewire.git -b debian/experimental
Homepage: https://pipewire.org/

Package: libpipewire-0.3-0t64
Provides: ${t64:Provides}
Replaces: libpipewire-0.3-0
Breaks: libpipewire-0.3-0 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: libspa-0.2-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libpipewire-0.3-common
Suggests: pipewire (= ${binary:Version})
Description: libraries for the PipeWire multimedia server
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.

Package: libpipewire-0.3-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: libraries for the PipeWire multimedia server - common files
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package is needed for the runtime libraries to display messages in
 languages other than English.

Package: libpipewire-0.3-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libpipewire-0.3-0t64 (= ${binary:Version}),
         libspa-0.2-dev (= ${binary:Version}),
         ${misc:Depends}
Suggests: pipewire-doc
Description: libraries for the PipeWire multimedia server - development
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the development files.

Package: libpipewire-0.3-modules
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: libpipewire-0.3-modules-extra (>= 1.4.5-1ubuntu2)
Breaks: pipewire (<< 0.3.5)
Replaces: pipewire (<< 0.3.5)
Description: libraries for the PipeWire multimedia server - modules
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains modules used by the PipeWire server and by clients,
 and should not normally be depended on directly. PipeWire clients should
 depend on the pipewire package instead.

Package: libpipewire-0.3-modules-extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: pipewire (<< 0.3.5), libpipewire-0.3-modules (<< 1.4.5-1ubuntu1)
Provides: libpipewire-0.3-modules-filters
Conflicts: libpipewire-0.3-modules-filters
Replaces: pipewire (<< 0.3.5), libpipewire-0.3-modules (<< 1.4.5-1ubuntu1), libpipewire-0.3-modules-filters
Description: libraries for the PipeWire multimedia server - extra modules
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the ffado driver module.

Package: libpipewire-0.3-modules-x11
Architecture: any
Multi-Arch: same
Depends: libcanberra-pulse,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libpipewire-0.3-modules (<< 0.3.63-3~)
Replaces: libpipewire-0.3-modules (<< 0.3.63-3~)
Description: libraries for the PipeWire multimedia server - X11 modules
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains X11 modules.

Package: libspa-0.2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Suggests: pipewire-doc
Description: libraries for the PipeWire multimedia server Simple Plugin API - development
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the development files for the Simple Plugin API.

Package: libspa-0.2-modules
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: pipewire (<< 0.3.5)
Replaces: pipewire (<< 0.3.5)
Description: libraries for the PipeWire multimedia server Simple Plugin API - modules
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains core support modules used in the Simple Plugin API,
 together with test and utility modules that do not introduce additional
 dependencies. It should not normally be depended on directly: PipeWire
 clients should depend on the pipewire package instead.

Package: libspa-0.2-modules-extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libraries for the PipeWire multimedia server Simple Plugin API - extra modules
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the ebur128, lv2, onnx and sofa filter-chain modules
 and the bluetooth aac codec.

Package: pipewire-doc
Section: doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libpipewire-0.2-doc (<< 0.3.1)
Replaces: libpipewire-0.2-doc (<< 0.3.1)
Description: libraries for the PipeWire multimedia server - documentation
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the API reference.

Package: pipewire
Section: video
Architecture: any
Multi-Arch: same
Depends: adduser,
         libpipewire-0.3-modules (= ${binary:Version}),
         pipewire-bin (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: audio and video processing engine multimedia server
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This metapackage makes PipeWire available for programs of the same
 architecture, and provides the systemd user service necessary to run
 pipewire on-demand.

Package: pipewire-system-services
Architecture: all
Depends: pipewire,
         pipewire-pulse,
         wireplumber-system-services,
         ${misc:Depends},
         ${shlibs:Depends}
Description: audio and video processing engine multimedia server (system services)
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the systemd system services. NOTE: This is NOT the
 recommended way to use PipeWire, but these services are provided for specific
 use cases like embedded and accessibility.

Package: pipewire-bin
Section: video
Architecture: any
Multi-Arch: foreign
Depends: libpipewire-0.3-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: dbus-user-session,
            rtkit,
            wireplumber
Breaks: pipewire (<< 0.3.5)
Replaces: pipewire (<< 0.3.5)
Description: PipeWire multimedia server - programs
 PipeWire is a server and user space API to deal with multimedia

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

%:
	dh $@

ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
DOCS=disabled
MAN=disabled
else
DOCS=enabled
MAN=enabled
endif

built_binaries := $(shell dh_listpackages)

ifneq ($(filter %-tests,$(built_binaries)),)
INSTTEST=enabled
SDL2=enabled
else
INSTTEST=disabled
SDL2=disabled
endif

ifneq (,$(filter s390x hppa m68k powerpc ppc64 sparc64,$(DEB_HOST_ARCH)))
BLUEZ5_CODEC_LDAC=disabled
else
BLUEZ5_CODEC_LDAC=enabled
endif

ifneq (,$(filter m68k hurd-amd64 hurd-i386,$(DEB_HOST_ARCH)))
LIBCAMERA=disabled
else
LIBCAMERA=enabled
endif

ifneq (,$(filter alpha hurd-amd64 hurd-i386 m68k powerpc ppc64 sh4 x32 i386,$(DEB_HOST_ARCH)))
ONNXRUNTIME=disabled
else
ONNXRUNTIME=enabled
endif

# enable snap support in Ubuntu, Debian's kernel doesn't enable the option
# for fine grained unix mediation at the moment
SNAP=disabled
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
ifneq (,$(filter amd64 arm64 armhf i386 powerpc ppc64el riscv64 s390x,$(DEB_HOST_ARCH)))
SNAP=enabled
endif
endif

ifneq (,$(filter hurd-amd64 hurd-i386,$(DEB_HOST_ARCH)))
UDEVRULESDIR=
else
export UDEVRULESDIR=/usr/lib/udev/rules.d
# For pre-Trixie releases udev rules should go in:
# export UDEVRULESDIR=/lib/udev/rules.d
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-Daudiotestsrc=enabled \
		-Dauto_features=enabled \
		-Davahi=enabled \
		-Dbluez5-backend-native-mm=enabled \
		-Dbluez5-codec-aac=enabled \
		-Dbluez5-codec-aptx=enabled \
		-Dbluez5-codec-lc3=enabled \
		-Dbluez5-codec-lc3plus=disabled \
		-Dbluez5-codec-ldac=$(BLUEZ5_CODEC_LDAC) \
		-Dbluez5-codec-ldac-dec=disabled \
		-Dbluez5-codec-opus=enabled \
		-Dbluez5-plc-spandsp=disabled \
		-Dlibcamera=$(LIBCAMERA) \
		-Dlibffado=enabled \
		-Dlibmysofa=enabled \
		-Ddocs=$(DOCS) \
		-Dffmpeg=disabled \
		-Dinstalled_tests=$(INSTTEST) \
		-Dlv2=enabled \
		-Dman=$(MAN) \
		-Donnxruntime=$(ONNXRUNTIME) \
		-Droc=enabled \
		-Dsdl2=$(SDL2) \
		-Dsession-managers= \
		-Dsnap=$(SNAP) \
		-Dsystemd-system-service=enabled \
		-Dsystemd-user-service=enabled \
		-Dtest=enabled \
		-Dudevrulesdir=$(UDEVRULESDIR) \
		-Dvideotestsrc=enabled \
		-Dvulkan=disabled \
		$(NULL)
	install -d debian/ld.so.conf.d
	echo "/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3/jack/" > "debian/ld.so.conf.d/pipewire-jack-$(DEB_HOST_MULTIARCH).conf"

test_timeout_multiplier = 1

ifneq ($(filter alpha arm hppa ia64 m68k riscv64 sh4 sparc%,$(DEB_HOST_ARCH_CPU)),)
test_timeout_multiplier = 5
endif

ifneq ($(filter mips%,$(DEB_HOST_ARCH_CPU)),)
test_timeout_multiplier = 10
endif

override_dh_auto_test:
	dh_auto_test \
		-- \
		--timeout-multiplier $(test_timeout_multiplier) \
		$(NULL)

override_dh_makeshlibs:
	dh_makeshlibs \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0 \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3 \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/spa-0.2 \
		-- -c4

override_dh_shlibdeps-arch:
	dh_shlibdeps \
		-ppipewire-jack \
		-l/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3 \
		-- \
		-Ldebian/pipewire-jack.shlibs.local \
		$(NULL)
	dh_shlibdeps \
		--remaining-packages \
		-l/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3 \
		$(NULL)

override_dh_installman:
	dh_installman
	mkdir -p debian/libpipewire-0.3-modules-extra/usr/share/man/man7
	mv debian/libpipewire-0.3-modules/usr/share/man/man7/libpipewire-module-ffado* \
	   debian/libpipewire-0.3-modules-extra/usr/share/man/man7/

override_dh_installsystemd:
	# The recommanded way to install pipewire is using user services, but
	# we install system services anyway for specific use cases (like embedded
	# and accessibility) without enabling/starting them to avoid clashes.
	dh_installsystemd -ppipewire-system-services --no-enable --no-start

# Can be dropped in compat >= 14
execute_after_dh_installinit:
	dh_installsysusers

## pipewire 1.5.85

=== debian/changelog ===
pipewire (1.5.85-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Enable pipewire jack emulation
    - Create new binary packages for pipewire and spa modules
      These ones have universe dependencies
    - Enable AAC codec
      - libfdk-aac is in universe for now (MIR #1977614) but it's a separate
       .so which can be included in the new libspa-0.2-modules-extra
       binary (lp #1991936)
    - Add apport package hook
    - Set -DDbluez5-plc-spandsp to disabled for now
      The spandsp package is in universe and the option doesn't generate a
      separate binary which can be moved to extra.
    - Build without onnxruntime on i386

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Feb 2026 15:37:16 +0100

pipewire (1.5.85-1) experimental; urgency=medium

  * New upstream release (1.6 release candidate 5)
    (Closes: #1125964)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 19 Jan 2026 17:16:39 +0100

pipewire (1.5.84-1ubuntu3) resolute; urgency=medium

  * Rebuild with the new libcamera soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 02 Feb 2026 16:43:10 +0100

## pipewire 1.6.0

=== debian/changelog ===
pipewire (1.6.0-1ubuntu1) resolute; urgency=medium

  * Merge with Debian experimental. Remaining changes:
    - Enable pipewire jack emulation
    - Create new binary packages for pipewire and spa modules
      These ones have universe dependencies
    - Enable AAC codec
      - libfdk-aac is in universe for now (MIR #1977614) but it's a separate
       .so which can be included in the new libspa-0.2-modules-extra
       binary (lp #1991936)
    - Add apport package hook
    - Set -DDbluez5-plc-spandsp to disabled for now
      The spandsp package is in universe and the option doesn't generate a
      separate binary which can be moved to extra.
    - Build without onnxruntime on i386

 -- Charles <charles05@canonical.com>  Thu, 27 Feb 2026 13:10:32 +0000

pipewire (1.6.0-1) experimental; urgency=medium

  [ Dylan Aïssi ]
  * New upstream release

  [ Luca Boccassi ]
  * Use dh sequence instead of manual call in d/rules
  * Drop unused adduser dependency

 -- Dylan Aïssi <daissi@debian.org>  Thu, 19 Feb 2026 11:43:23 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Uploaders: Jeremy Bicha <jbicha@debian.org>,
            Dylan Aïssi <daissi@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-installsysusers,
                dh-exec,
                doxygen <!nodoc>,
                dpkg-dev (>= 1.22.5),
@@ -251,8 +252,7 @@
 Section: video
 Architecture: any
 Multi-Arch: same
-Depends: adduser,
-         libpipewire-0.3-modules (= ${binary:Version}),
+Depends: libpipewire-0.3-modules (= ${binary:Version}),
          pipewire-bin (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -302,4 +302,3 @@
 Breaks: pipewire (<< 0.3.5)
 Replaces: pipewire (<< 0.3.5)
 Description: PipeWire multimedia server - programs
- PipeWire is a server and user space API to deal with multimedia

=== debian/rules ===
--- 
+++ 
@@ -142,7 +142,3 @@
 	# we install system services anyway for specific use cases (like embedded
 	# and accessibility) without enabling/starting them to avoid clashes.
 	dh_installsystemd -ppipewire-system-services --no-enable --no-start
-
-# Can be dropped in compat >= 14
-execute_after_dh_installinit:
-	dh_installsysusers

## pipewire python-0.0.7

=== Makefile ===
.DEFAULT_GOAL := help
.PHONY: coverage deps help lint publish push test tox

coverage:  ## Run tests with coverage
	python -m coverage erase
	python -m coverage run --include=pipewire_python/* -m pytest -ra
	python -m coverage report -m

deps:  ## Install dependencies
	python -m pip install --upgrade pip
	python -m pip install black coverage flake8 flit mccabe mypy pylint pytest tox tox-gh-actions

lint:  ## Lint and static-check
	python -m flake8 pipewire_python
	python -m pylint pipewire_python
	python -m mypy pipewire_python

publish:  ## Publish to PyPi
	python -m flit publish

push:  ## Push code with tags
	git push && git push --tags

test:  ## Run tests
	python -m pytest -ra

tox:   ## Run tox
	python -m tox

help: ## Show help message
	@IFS=$$'\n' ; \
	help_lines=(`fgrep -h "##" $(MAKEFILE_LIST) | fgrep -v fgrep | sed -e 's/\\$$//' | sed -e 's/##/:/'`); \
	printf "%s\n\n" "Usage: make [task]"; \
	printf "%-20s %s\n" "task" "help" ; \
	printf "%-20s %s\n" "------" "----" ; \
	for help_line in $${help_lines[@]}; do \
		IFS=$$':' ; \
		help_split=($$help_line) ; \
		help_command=`echo $${help_split[0]} | sed -e 's/^ *//' -e 's/ *$$//'` ; \
		help_info=`echo $${help_split[2]} | sed -e 's/^ *//' -e 's/ *$$//'` ; \
		printf '\033[36m'; \
		printf "%-20s %s" $$help_command ; \
		printf '\033[0m'; \
		printf "%s\n" $$help_info; \
	done

## pipewire python-0.0.82

=== Makefile ===
.DEFAULT_GOAL := help
.PHONY: coverage deps help lint publish push test tox

apt-packages-ubuntu: ## Install packages needed
	sudo add-apt-repository ppa:pipewire-debian/pipewire-upstream -y
	sudo apt update
	sudo apt-get install pipewire -y

deps:  ## Install dependencies
	python -m pip install --upgrade pip
	python -m pip install black coverage flake8 flit mccabe mypy pylint pytest pytest-cov tox tox-gh-actions

# coverage:  ## Run tests with coverage
# 	python -m coverage erase
# 	python -m coverage run --include=pipewire_python/* -m pytest -ra
# 	python -m coverage report -m
# 	python -m coverage xml

# lint:  ## Lint and static-check
# 	python -m flake8 pipewire_python
# 	python -m pylint pipewire_python
# 	python -m mypy pipewire_python

publish:  ## Publish to PyPi
	python -m flit publish

push:  ## Push code with tags
	git push && git push --tags

# test:  ## Run tests
# 	python -m pytest -ra

tox:  ## Run tox
	python -m tox
	ls -la

help:  ## Show help message
	@IFS=$$'\n' ; \
	help_lines=(`fgrep -h "##" $(MAKEFILE_LIST) | fgrep -v fgrep | sed -e 's/\\$$//' | sed -e 's/##/:/'`); \
	printf "%s\n\n" "Usage: make [task]"; \
	printf "%-20s %s\n" "task" "help" ; \
	printf "%-20s %s\n" "------" "----" ; \
	for help_line in $${help_lines[@]}; do \
		IFS=$$':' ; \
		help_split=($$help_line) ; \
		help_command=`echo $${help_split[0]} | sed -e 's/^ *//' -e 's/ *$$//'` ; \
		help_info=`echo $${help_split[2]} | sed -e 's/^ *//' -e 's/ *$$//'` ; \
		printf '\033[36m'; \
		printf "%-20s %s" $$help_command ; \
		printf '\033[0m'; \
		printf "%s\n" $$help_info; \
	done

## pipewire python-0.2.1

=== Makefile ===
--- 
+++ 
@@ -27,26 +27,9 @@
 push:  ## Push code with tags
 	git push && git push --tags
 
-# test:  ## Run tests
-# 	python -m pytest -ra
+test:  ## Run tests [LOCALHOST]
+	python -m pytest -ra
 
 tox:  ## Run tox
-	python -m tox
+	python3 -m tox
 	ls -la
-
-help:  ## Show help message
-	@IFS=$$'\n' ; \
-	help_lines=(`fgrep -h "##" $(MAKEFILE_LIST) | fgrep -v fgrep | sed -e 's/\\$$//' | sed -e 's/##/:/'`); \
-	printf "%s\n\n" "Usage: make [task]"; \
-	printf "%-20s %s\n" "task" "help" ; \
-	printf "%-20s %s\n" "------" "----" ; \
-	for help_line in $${help_lines[@]}; do \
-		IFS=$$':' ; \
-		help_split=($$help_line) ; \
-		help_command=`echo $${help_split[0]} | sed -e 's/^ *//' -e 's/ *$$//'` ; \
-		help_info=`echo $${help_split[2]} | sed -e 's/^ *//' -e 's/ *$$//'` ; \
-		printf '\033[36m'; \
-		printf "%-20s %s" $$help_command ; \
-		printf '\033[0m'; \
-		printf "%s\n" $$help_info; \
-	done

## pipewire python-0.2.3

=== Makefile ===
.DEFAULT_GOAL := help

apt-packages-ubuntu: ## Install packages needed
	sudo add-apt-repository ppa:pipewire-debian/pipewire-upstream -y
	sudo apt update
	sudo apt-get install pipewire -y

deps:  ## Install dependencies
	python -m pip install --upgrade pip
	python -m pip install black coverage flake8 flit mccabe mypy pylint pytest pytest-cov tox tox-gh-actions

publish:  ## Publish to PyPi
	python -m flit publish

push:  ## Push code with tags
	git push && git push --tags

test:  ## Run tests [LOCALHOST]
	python -m pytest -ra

tox:  ## Run tox
	python3 -m tox
	ls -la

help:
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-20s\033[0m %s\n", $$1, $$2}'
